from pydantic import BaseModel, conlist

from settings import settings


class AttenuatorsConfig(BaseModel):
    values: conlist(float, min_items=settings.ATTENUATORS_NUMBER, max_items=settings.ATTENUATORS_NUMBER)

    class Config:
        validate_assignment = True
